* {
    box-sizing: border-box;
}

@import url('https://fonts.googleapis.com/css2?family=Montserrat:wght@300;400;500;600;700;800;900&display=swap');
body {
    font-family: 'Montserrat', sans-serif;
    margin: 0;
    padding: 0;
    font-size: 14px;
}

.discountpage__bg {
    background: url(imgbg.jpg) no-repeat center center;
    width: 100%;
    height: 250px;
    background-size: cover;
    overflow: hidden;
}

.discountpage__frame {
    background-color: transparent;
    border: 1px solid rgba(255, 255, 255, 0.4);
    height: 220px;
    margin: 15px 0;
    -webkit-border-top-left-radius: 100px;
    -webkit-border-bottom-right-radius: 100px;
    -moz-border-radius-topleft: 100px;
    -moz-border-radius-bottomright: 100px;
    border-top-left-radius: 100px;
    border-bottom-right-radius: 100px;
}

.wrapp {
    max-width: 1170px;
    margin: 0 auto;
    line-height: 220px;
    padding: 0 20px;
}

.wrapp_content {
    max-width: 1170px;
    margin: 0 auto;
    padding: 0 20px;
}

.wrapper {
    padding: 0 5%;
}

.discountpage__title {
    font-weight: 900;
    font-size: 3rem;
    color: #fff;
    text-transform: uppercase;
    display: inline-block;
    vertical-align: middle;
    line-height: normal;
}

.discountpage__title div {
    font-weight: 900;
    color: transparent;
    -webkit-text-stroke-width: 1px;
    -webkit-text-stroke-color: white;
}

.discountpage__title i {
    font-style: normal;
    display: block;
    font-size: 14px;
    font-weight: 500;
    text-transform: none;
    margin: 7px 0 0 0;
    line-height: 1.4;
}

#insertDiscount {
    padding: 60px 0 60px 0;
}

.loading {
    display: table;
    margin: 20px auto;
}

.loading-ico {
    background: url(./loading.svg) no-repeat;
    width: 180px;
    height: 180px;
    margin: 0 auto;
}

.loading-text {
    text-align: center;
    opacity: 0.7;
    margin: 5px 0 0 0;
}

.discountpage-container {
    background: #f6f9f9;
}

.discountpage-content {
    display: flex;
    flex-wrap: wrap;
    margin: 0 0;
    width: 75%;
}

.discountpage-content-item {
    width: 50%;
    background: #fff;
    margin: 0 0 0 0;
    padding: 25px;
    position: relative;
    -webkit-box-shadow: 0px 0px 62px -31px rgba(35, 58, 82, 0);
    -moz-box-shadow: 0px 0px 62px -31px rgba(35, 58, 82, 0);
    box-shadow: 0px 0px 62px -31px rgba(35, 58, 82, 0);
    -webkit-transition: all 0.3s ease-in-out;
    -moz-transition: all 0.3s ease-in-out;
    transition: all 0.3s ease-in-out;
    border-right: 1px solid rgb(240, 240, 240);
    border-bottom: 1px solid rgb(240, 240, 240);
}

.discountpage-content-item:nth-child(2n) {
    border-right: 0px;
}

.discountpage-content-item:hover {
    -webkit-box-shadow: 0px 0px 62px -31px rgba(35, 58, 82, 1);
    -moz-box-shadow: 0px 0px 62px -31px rgba(35, 58, 82, 1);
    box-shadow: 0px 0px 62px -31px rgba(35, 58, 82, 1);
    z-index: 2;
}

.discountpage-content-flex {
    display: flex;
    align-items: flex-start;
}

.discountpage-content-right {
    width: 25%;
    position: -webkit-sticky;
    position: sticky;
    top: 20px;
    margin: 0 0 0 25px;
}

.discountpage-content-image {
    max-width: 100%;
    position: relative;
}

.discountpage-content-image img {
    width: 100%;
    border-radius: 5px;
}

.discountpage-content-border2 {
    width: calc(100% - 20px);
    height: calc(100% - 20px);
    box-sizing: border-box;
    border: 1px solid #fff;
    border-bottom-right-radius: 50px;
    border-top-left-radius: 50px;
    position: absolute;
    left: 10px;
    top: 8px;
}

.discountpage-content-name {
    font-weight: 700;
    margin: 10px 0 0 0;
    font-size: 18px;
    line-height: 1.4;
}

.discountpage-content-umovi {
    margin: 15px 0 0 0;
}

.discountpage-content-umovi-n {
    font-size: 12px;
    font-weight: 500;
    opacity: 0.5;
}

.discountpage-content-umovi-text {
    font-weight: 400;
    line-height: 1.5;
    margin: 5px 0 0 0;
    font-size: 13px;
}

.discountpage-content-height {
    padding: 0 0 90px 0;
}

.discountpage-content-info-bottom {
    position: absolute;
    bottom: 25px;
    left: 0;
    width: 100%;
    padding: 0 25px;
}

.discountpage-content-info-bottom-info {
    border-top: 1px solid rgb(240, 240, 240);
    padding: 15px 0 0 0;
    display: flex;
    align-items: center;
    justify-content: space-between;
}

.discountpage-content-info-bottom-button a {
    background: #fff;
    border: 2px solid #7f28c4;
    color: #7f28c4;
    text-decoration: none;
    text-transform: uppercase;
    display: block;
    text-align: center;
    font-weight: 600;
    border-radius: 5px;
    padding: 15px 40px;
    -webkit-transition: all 0.3s ease-in-out;
    -moz-transition: all 0.3s ease-in-out;
    transition: all 0.3s ease-in-out;
}

.discountpage-content-item:hover .discountpage-content-info-bottom-button a {
    background: #7f28c4;
    color: #fff;
}

.discountpage-content-info-bottom-coundown-text {
    font-size: 11px;
    font-weight: 500;
    opacity: 0.5;
    line-height: 1.4;
}

.discountpage-content-info-bottom-coundown {
    display: flex;
    align-items: center;
    background: #fff;
    border: 1px solid #ddd;
    padding: 10px 18px;
    width: 54%;
    border-radius: 5px;
    justify-content: space-between;
}

.discountpage-content-info-bottom-coundown.fail {
    width: 100%;
    display: block;
}

.discountpage-content-info-bottom-coundown.fail .discountpage-content-info-bottom-coundown-text {
    text-align: center;
}

.discountpage-content-info-bottom-coundown-num {
    display: flex;
    align-items: center;
    margin: 0 0 0 10px;
}

.discountpage-content-info-bottom-button {
    width: 46%;
    margin: 0 0 0 10px;
}

.discountpage-content-info-bottom-coundown-num div {
    font-weight: 600;
    font-size: 30px;
}

.discountpage-content-info-bottom-coundown-num span {
    display: block;
    margin: 0 0 0 8px;
    font-size: 12px;
    font-weight: 500;
    opacity: 0.5;
}

.discountpage-content-right img {
    width: 100%;
}

a.discountpage-link {
    display: block;
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    z-index: 3;
}

.discountpage--offer-zapas {
    user-select: none;
    font-size: 12px;
    font-weight: 500;
    font-stretch: normal;
    font-style: normal;
    line-height: 1;
    letter-spacing: normal;
    text-align: left;
    color: #7f28c4;
    border-radius: 100px;
    margin: 15px 0 0 0;
    padding: 10px 40px 10px 20px;
    background: #f0deff;
    display: inline-block;
    position: relative;
}

.discountpage--offer-zapas:before {
    content: "";
    position: absolute;
    top: 9px;
    right: 13px;
    width: 14px;
    height: 14px;
    background: url(./information.svg) no-repeat;
}

.discountpage-discount {
    position: absolute;
    padding: 10px 20px;
    -webkit-border-top-left-radius: 20px;
    -webkit-border-bottom-right-radius: 20px;
    -moz-border-radius-topleft: 20px;
    -moz-border-radius-bottomright: 20px;
    border-top-left-radius: 20px;
    border-bottom-right-radius: 20px;
    color: #fff;
    font-weight: 600;
    top: 30px;
    right: 30px;
}

.discountpage-overlay {
    background: rgba(255, 255, 255, 0.8);
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    z-index: 300;
    display: flex;
    justify-content: center;
    align-items: center;
    align-content: center;
}

.discountpage-overlay div {
    background: #fff;
    border-radius: 5px;
    padding: 20px 40px;
    font-weight: 600;
    color: rgb(236, 43, 108);
    border: 1px solid rgb(236, 43, 108);
}

@media screen and (max-width:1070px) {
    .discountpage-content-item {
        width: 100%;
    }
}

@media screen and (max-width:840px) {
    .discountpage-content-flex {
        display: block;
    }
    .discountpage-content {
        width: 100%;
    }
    .discountpage-content-right {
        display: none;
    }
    .discountpage__title {
        text-align: center;
    }
}

@media screen and (max-width:450px) {
    .discountpage-content-info-bottom-info {
        display: block;
    }
    .discountpage-content-info-bottom-coundown {
        width: 100%;
    }
    .discountpage-content-info-bottom-button {
        width: 100%;
        margin: 15px 0 0 0;
    }
    .discountpage-content-height {
        padding: 0 0 157px 0;
    }
}


/* Subscribers */

.a_subscribers {
    position: fixed;
    bottom: 30px;
    right: 30px;
}

.a_subscribers-circle {
    width: 70px;
    height: 70px;
    position: relative;
    cursor: pointer;
}

.a_subscribers-circle::before {
    content: "";
    position: absolute;
    top: 0;
    left: 0;
    background: #7f28c4;
    background: -moz-linear-gradient(left, #7f28c4 0%, #e2197c 50%, #e5231b 100%);
    background: -webkit-linear-gradient(left, #7f28c4 0%, #e2197c 50%, #e5231b 100%);
    background: linear-gradient(to right, #7f28c4 0%, #e2197c 50%, #e5231b 100%);
    filter: progid: DXImageTransform.Microsoft.gradient( startColorstr='#7f28c4', endColorstr='#e5231b', GradientType=1);
    -webkit-border-radius: 100px;
    -moz-border-radius: 100px;
    border-radius: 100px;
    width: 100%;
    height: 100%;
    animation-duration: 1s;
    animation-name: eye;
    animation-iteration-count: infinite;
    animation-direction: alternate;
    transform: scale(1.1);
    z-index: 2;
}

.a_subscribers.noActive .a_subscribers-circle::before {
    animation-duration: 0s;
}

.a_subscribers-circle::after {
    content: "";
    position: absolute;
    top: 0;
    left: 0;
    background: #7f28c4;
    transform: scale(1.1);
    width: 100%;
    height: 100%;
    -webkit-border-radius: 100px;
    -moz-border-radius: 100px;
    border-radius: 100px;
    animation-duration: 1s;
    animation-name: eye2;
    animation-iteration-count: infinite;
    animation-direction: alternate;
    opacity: 0;
}

.a_subscribers.noActive .a_subscribers-circle::after {
    animation-duration: 0s;
}

@keyframes eye {
    0% {
        transform: scale(1.1);
    }
    100% {
        transform: scale(0.9);
    }
}

@keyframes eye2 {
    0% {
        opacity: 0;
        transform: scale(1.1);
    }
    100% {
        opacity: 0.2;
        transform: scale(1.4);
    }
}

.a_subscribers-icon {
    width: 70px;
    height: 70px;
    display: flex;
    justify-content: center;
    align-content: center;
    align-items: center;
    position: relative;
    z-index: 2;
}

.a_subscribers-icon span {
    display: block;
    width: 30px;
    height: 30px;
    background: url(./gift.svg) no-repeat;
    animation-duration: 2s;
    animation-name: eye3;
    animation-iteration-count: infinite;
    animation-direction: alternate;
    transform: rotate(-10deg);
}

@keyframes eye3 {
    0% {
        transform: rotate(-10deg);
    }
    100% {
        transform: rotate(10deg);
    }
}

.a_subscribers-tooltip {
    position: absolute;
    bottom: 60px;
    right: 20px;
    z-index: 3;
    background: #fff;
    padding: 25px;
    -webkit-box-shadow: 0px 3px 28px 0px rgba(25, 28, 48, 0.18);
    -moz-box-shadow: 0px 3px 28px 0px rgba(25, 28, 48, 0.18);
    box-shadow: 0px 3px 28px 0px rgba(25, 28, 48, 0.18);
    text-align: center;
    line-height: 1.4;
    cursor: default;
    opacity: 0;
    visibility: hidden;
    -webkit-transition: all 0.3s ease-in-out;
    -moz-transition: all 0.3s ease-in-out;
    transition: all 0.3s ease-in-out;
    width: 186px;
}

.a_subscribers-tooltip.tooltip-active {
    opacity: 1;
    visibility: visible;
    bottom: 70px;
}

.a_subscribers-tooltip:before {
    content: "";
    position: absolute;
    bottom: -15px;
    right: 10px;
    width: 0;
    height: 0;
    border-left: 50px solid transparent;
    border-right: 10px solid transparent;
    border-top: 30px solid #fff;
}

.a_subscribers-tooltip span {
    position: absolute;
    top: -10px;
    right: -10px;
    font-size: 20px;
    background: #fff;
    width: 30px;
    height: 30px;
    display: block;
    text-align: center;
    line-height: 30px;
    -webkit-border-radius: 100px;
    -moz-border-radius: 100px;
    border-radius: 100px;
    cursor: pointer;
    text-decoration: none;
    color: #000;
}